/ Upgrade to Apache Subversion 1.14

We are glad to officially announce VisualSVN Server 4.3 and new versions of VisualSVN for Visual Studio that bring an update to Apache Subversion 1.14 LTS (Long-Term Support) release.

Upgrade to the latest VisualSVN Server and VisualSVN plug-in is recommended for all users:

What’s new in Apache Subversion 1.14

Apache Subversion 1.14 is the latest LTS (Long-Term Support) release that includes all improvements, features, and bug fixes since the previous 1.10 LTS release. It also includes changes not present in any earlier releases. For the complete list of changes, please refer to the Apache Subversion 1.14 Release Notes.

Subversion LTS releases are made available every 2 years and get a 4-year support period. See the details on the Apache Subversion Roadmap page.

Upgrade for VisualSVN Server

VisualSVN Server 4.3 brings an update to Apache Subversion 1.14 and includes several bug fixes. Note that it is backward compatible with all older Subversion clients. For more details and the VisualSVN Server 4.3 client compatibility matrix, see the VisualSVN Server 4.3 Release Notes.

Upgrade to VisualSVN Server 4.3 is recommended for all users. The upgrade is easy and straightforward. For further details, please read the KB167: Upgrading to VisualSVN Server 4.3 article.

You may download VisualSVN Server 4.3 at the main download page.

Upgrade for VisualSVN (a plug-in for Visual Studio)

VisualSVN plug-in version depends on your Visual Studio version:

  • Users of Visual Studio 2019 should upgrade to VisualSVN 7.3.
  • Users of Visual Studio 2017 should upgrade to VisualSVN 6.7.
  • Users of Visual Studio 2015 or older should upgrade to VisualSVN 5.6.

You may download an appropriate VisualSVN version at the official download page.

The upgrade is straightforward and does not require upgrading your working copies.

Upgrade for TortoiseSVN

Please be aware that TortoiseSVN 1.14.0 does not always install properly when upgrading from TortoiseSVN 1.13.x The problem can be fixed by repairing the TortoiseSVN installation. This problem is specific to TortoiseSVN 1.14.0 and will be fixed in the next 1.14.1 version.

TortoiseSVN 1.13.x users may choose to upgrade VisualSVN now, and upgrade TortoiseSVN once the version 1.14.1 is released. Both TortoiseSVN 1.13.x and TortoiseSVN 1.14.x are fully compatible with the upgraded VisualSVN plug-in and use the same working copy format.